## aolserver4 4.5.1

=== Makefile ===
#
# The contents of this file are subject to the AOLserver Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://aolserver.com/.
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is AOLserver Code and related documentation
# distributed by AOL.
# 
# The Initial Developer of the Original Code is America Online,
# Inc. Portions created by AOL are Copyright (C) 1999 America Online,
# Inc. All Rights Reserved.
#
# Alternatively, the contents of this file may be used under the terms
# of the GNU General Public License (the "GPL"), in which case the
# provisions of GPL are applicable instead of those above.  If you wish
# to allow use of your version of this file only under the terms of the
# GPL and not to allow others to use your version of this file under the
# License, indicate your decision by deleting the provisions above and
# replace them with the notice and other provisions required by the GPL.
# If you do not delete the provisions above, a recipient may use your
# version of this file under either the License or the GPL.
# 
#
# $Header: /cvsroot/aolserver/aolserver/Makefile,v 1.64 2006/06/27 17:00:55 jgdavidson Exp $
#
#

bins=nsthread nsd nstclsh 
mods=nsdb nssock nslog nsperm nscgi nscp
dirs=$(bins) $(mods)

SRCDIR=.
include include/ns.mak

all: build

build:
	$(MAKEALL) build $(dirs)

clean:
	$(MAKEALL) clean $(dirs)

install: install-bins install-includes install-util install-tcl \
	 install-mods install-skel

install-bins:
	$(MAKEALL) install $(bins)

install-mods:
	$(MAKEALL) install $(mods)

install-util:
	$(INST) -d $(INSTBIN) util/*.tcl
	$(INST) -d $(INSTBIN) -e util/nsinstall-man.sh
	$(INST) -d $(INSTBIN) -e util/install-sh

install-tcl:
	$(INST) -d $(AOLSERVER)/modules/tcl tcl/*.tcl

install-includes:
	$(INST) -d $(INSTINC) include/*.c include/*.h include/ns.mak \
			      include/Makefile.*

install-skel:
	$(INST) -d $(AOLSERVER)/log
	$(INST) -d $(AOLSERVER) examples/config/base.tcl
	$(INST) -d $(AOLSERVER)/servers/server1/pages -n index.adp

install-docs:
	$(MAKEALL) install doc

distclean: clean
	$(RM) include/ns.mak include/ns.bak \
		config.status config.log config.cache

=== doc/Makefile ===
# The contents of this file are subject to the AOLserver Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://aolserver.com/.
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is AOLserver Code and related documentation
# distributed by AOL.
# 
# The Initial Developer of the Original Code is America Online,
# Inc. Portions created by AOL are Copyright (C) 1999 America Online,
# Inc. All Rights Reserved.
#
# Alternatively, the contents of this file may be used under the terms
# of the GNU General Public License (the "GPL"), in which case the
# provisions of GPL are applicable instead of those above.  If you wish
# to allow use of your version of this file only under the terms of the
# GPL and not to allow others to use your version of this file under the
# License, indicate your decision by deleting the provisions above and
# replace them with the notice and other provisions required by the GPL.
# If you do not delete the provisions above, a recipient may use your
# version of this file under either the License or the GPL.
# 
#
# $Header: /cvsroot/aolserver/aolserver/doc/Makefile,v 1.6 2006/04/28 13:47:45 jgdavidson Exp $
#

MAN := $(wildcard *.[13n])
INSTALL=install-docs
NSLIBS = $(wildcard $(AOLSERVER)/lib/libns*$(LIBEXT))
MAN3 := $(wildcard *.3)

all: install

include ../include/ns.mak

install-docs:
	$(INST) -d $(AOLSERVER)/html index.adp
	$(INST) -d $(AOLSERVER)/include man.macros

missing: 
	@nm $(NSLIBS) | awk '/T _Ns_/ {print $$3}' | sort > lib.out
	@sed -n '/^.SH NAME/,/^.SH DESC/p' $(MAN3) | sed -n '/^\\fBNs_\(.*\)\\fR(\(.*\))/s//_Ns_\1/p' \
		| sort | uniq | diff -y lib.out -

=== nscgi/Makefile ===
#
# The contents of this file are subject to the AOLserver Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://aolserver.com/.
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is AOLserver Code and related documentation
# distributed by AOL.
# 
# The Initial Developer of the Original Code is America Online,
# Inc. Portions created by AOL are Copyright (C) 1999 America Online,
# Inc. All Rights Reserved.
#
# Alternatively, the contents of this file may be used under the terms
# of the GNU General Public License (the "GPL"), in which case the
# provisions of GPL are applicable instead of those above.  If you wish
# to allow use of your version of this file only under the terms of the
# GPL and not to allow others to use your version of this file under the
# License, indicate your decision by deleting the provisions above and
# replace them with the notice and other provisions required by the GPL.
# If you do not delete the provisions above, a recipient may use your
# version of this file under either the License or the GPL.
# 
#
# $Header: /cvsroot/aolserver/aolserver/nscgi/Makefile,v 1.6 2005/08/17 21:20:17 jgdavidson Exp $
#

MOD	 =  nscgi
OBJS	 =  nscgi.o
MODINIT	 =  NsCgi_ModInit
include  ../include/ns.mak

=== nscp/Makefile ===
#
# The contents of this file are subject to the AOLserver Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://aolserver.com/.
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is AOLserver Code and related documentation
# distributed by AOL.
# 
# The Initial Developer of the Original Code is America Online,
# Inc. Portions created by AOL are Copyright (C) 1999 America Online,
# Inc. All Rights Reserved.
#
# Alternatively, the contents of this file may be used under the terms
# of the GNU General Public License (the "GPL"), in which case the
# provisions of GPL are applicable instead of those above.  If you wish
# to allow use of your version of this file only under the terms of the
# GPL and not to allow others to use your version of this file under the
# License, indicate your decision by deleting the provisions above and
# replace them with the notice and other provisions required by the GPL.
# If you do not delete the provisions above, a recipient may use your
# version of this file under either the License or the GPL.
# 
#
# $Header: /cvsroot/aolserver/aolserver/nscp/Makefile,v 1.6 2005/08/17 21:20:18 jgdavidson Exp $
#

MOD	 =  nscp
OBJS  	 =  nscp.o
MODINIT	 =  NsCp_ModInit
include  ../include/ns.mak

=== nsd/Makefile ===
#
# The contents of this file are subject to the AOLserver Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://aolserver.com/.
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is AOLserver Code and related documentation
# distributed by AOL.
# 
# The Initial Developer of the Original Code is America Online,
# Inc. Portions created by AOL are Copyright (C) 1999 America Online,
# Inc. All Rights Reserved.
#
# Alternatively, the contents of this file may be used under the terms
# of the GNU General Public License (the "GPL"), in which case the
# provisions of GPL are applicable instead of those above.  If you wish
# to allow use of your version of this file only under the terms of the
# GPL and not to allow others to use your version of this file under the
# License, indicate your decision by deleting the provisions above and
# replace them with the notice and other provisions required by the GPL.
# If you do not delete the provisions above, a recipient may use your
# version of this file under either the License or the GPL.
# 
#
# $Header: /cvsroot/aolserver/aolserver/nsd/Makefile,v 1.52 2006/06/27 16:35:55 jgdavidson Exp $
#

INSTALL	= install-init
HDRS	= nsd.h
PGM	= nsd
PGMOBJS	= main.o
DLL	= nsd
DLLINIT	= Ns_LibInit
OBJS	= adpcmds.o adpeval.o adpparse.o adprequest.o auth.o binder.o \
	  cache.o callbacks.o cls.o compress.o config.o conn.o connio.o \
	  crypt.o dns.o driver.o dsprintf.o dstring.o encoding.o exec.o \
	  fastpath.o fd.o filter.o form.o httptime.o index.o info.o \
	  init.o limits.o lisp.o listen.o log.o mimetypes.o modload.o \
	  nsconf.o nsmain.o nsthread.o op.o pathname.o pidfile.o pools.o \
	  proc.o queue.o quotehtml.o random.o request.o return.o \
	  rollfile.o sched.o server.o set.o sock.o sockcallback.o str.o \
	  task.o tclcache.o tclcmds.o tclconf.o tclenv.o tclfile.o \
	  tclhttp.o tclimg.o tclinit.o tcljob.o tclloop.o tclmisc.o \
	  tclobj.o tclrequest.o tclresp.o tclsched.o tclset.o tclshare.o \
	  tclsock.o tclthread.o tclvar.o tclxkeylist.o url.o \
	  urlencode.o urlopen.o urlspace.o uuencode.o stamp.o

UNIXOBJS= unix.o 
WINOBJS	= nswin32.o getopt.o

include ../include/ns.mak

install-init:
	$(INST) -d $(INSTBIN) init.tcl

=== nsdb/Makefile ===
#
# The contents of this file are subject to the AOLserver Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://aolserver.com/.
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is AOLserver Code and related documentation
# distributed by AOL.
# 
# The Initial Developer of the Original Code is America Online,
# Inc. Portions created by AOL are Copyright (C) 1999 America Online,
# Inc. All Rights Reserved.
#
# Alternatively, the contents of this file may be used under the terms
# of the GNU General Public License (the "GPL"), in which case the
# provisions of GPL are applicable instead of those above.  If you wish
# to allow use of your version of this file only under the terms of the
# GPL and not to allow others to use your version of this file under the
# License, indicate your decision by deleting the provisions above and
# replace them with the notice and other provisions required by the GPL.
# If you do not delete the provisions above, a recipient may use your
# version of this file under either the License or the GPL.
# 
#
# $Header: /cvsroot/aolserver/aolserver/nsdb/Makefile,v 1.5 2005/08/17 21:20:21 jgdavidson Exp $

HDRS	= db.h
MOD	= nsdb
OBJS	= dbinit.o dbdrv.o dbtcl.o dbutil.o nsdb.o
MODINIT = NsDb_ModInit
include ../include/ns.mak

=== nslog/Makefile ===
#
# The contents of this file are subject to the AOLserver Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://aolserver.com/.
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is AOLserver Code and related documentation
# distributed by AOL.
# 
# The Initial Developer of the Original Code is America Online,
# Inc. Portions created by AOL are Copyright (C) 1999 America Online,
# Inc. All Rights Reserved.
#
# Alternatively, the contents of this file may be used under the terms
# of the GNU General Public License (the "GPL"), in which case the
# provisions of GPL are applicable instead of those above.  If you wish
# to allow use of your version of this file only under the terms of the
# GPL and not to allow others to use your version of this file under the
# License, indicate your decision by deleting the provisions above and
# replace them with the notice and other provisions required by the GPL.
# If you do not delete the provisions above, a recipient may use your
# version of this file under either the License or the GPL.
# 
#
# $Header: /cvsroot/aolserver/aolserver/nslog/Makefile,v 1.6 2005/08/17 21:20:21 jgdavidson Exp $
#

MOD	 =  nslog
OBJS  	 =  nslog.o
MODINIT	 =  NsLog_ModInit
include  ../include/ns.mak

=== nsperm/Makefile ===
#
# The contents of this file are subject to the AOLserver Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://aolserver.com/.
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is AOLserver Code and related documentation
# distributed by AOL.
# 
# The Initial Developer of the Original Code is America Online,
# Inc. Portions created by AOL are Copyright (C) 1999 America Online,
# Inc. All Rights Reserved.
#
# Alternatively, the contents of this file may be used under the terms
# of the GNU General Public License (the "GPL"), in which case the
# provisions of GPL are applicable instead of those above.  If you wish
# to allow use of your version of this file only under the terms of the
# GPL and not to allow others to use your version of this file under the
# License, indicate your decision by deleting the provisions above and
# replace them with the notice and other provisions required by the GPL.
# If you do not delete the provisions above, a recipient may use your
# version of this file under either the License or the GPL.
# 
#
# $Header: /cvsroot/aolserver/aolserver/nsperm/Makefile,v 1.8 2005/08/17 21:20:21 jgdavidson Exp $
#

MOD	 =  nsperm
OBJS	 =  nsperm.o
MODINIT	 =  NsPerm_ModInit
INSTALL	 =  install-perm

include ../include/ns.mak

modtcl	 = $(AOLSERVER)/modules/tcl/$(MOD)
moddat	 = $(AOLSERVER)/servers/server1/modules/$(MOD)

install-perm:
	$(INST) -d $(modtcl) init.tcl compat.tcl 
	$(INST) -d $(moddat) -n passwd group hosts.allow hosts.deny perms

=== nsproxy/Makefile ===
#
# The contents of this file are subject to the AOLserver Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://aolserver.com/.
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is AOLserver Code and related documentation
# distributed by AOL.
# 
# The Initial Developer of the Original Code is America Online,
# Inc. Portions created by AOL are Copyright (C) 1999 America Online,
# Inc. All Rights Reserved.
#
# Alternatively, the contents of this file may be used under the terms
# of the GNU General Public License (the "GPL"), in which case the
# provisions of GPL are applicable instead of those above.  If you wish
# to allow use of your version of this file only under the terms of the
# GPL and not to allow others to use your version of this file under the
# License, indicate your decision by deleting the provisions above and
# replace them with the notice and other provisions required by the GPL.
# If you do not delete the provisions above, a recipient may use your
# version of this file under either the License or the GPL.
# 
#
# $Header: /cvsroot/aolserver/aolserver/nsproxy/Makefile,v 1.3 2006/06/26 00:28:23 jgdavidson Exp $
#

MOD      = nsproxy
PGM	 = nsproxy
PGMOBJS  = nsproxy.o
OBJS     = nsproxylib.o
MODOBJS  = nsproxymod.o
HDRS	 = nsproxy.h
MODINIT	 = NsProxy_ModInit
INSTALL	 = install-hdr
MAN	 = ns_proxy.n

include   ../include/ns.mak

install-hdr:
	$(INST) -d $(AOLSERVER)/include $(HDRS)

=== nssock/Makefile ===
#
# The contents of this file are subject to the AOLserver Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://aolserver.com/.
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is AOLserver Code and related documentation
# distributed by AOL.
# 
# The Initial Developer of the Original Code is America Online,
# Inc. Portions created by AOL are Copyright (C) 1999 America Online,
# Inc. All Rights Reserved.
#
# Alternatively, the contents of this file may be used under the terms
# of the GNU General Public License (the "GPL"), in which case the
# provisions of GPL are applicable instead of those above.  If you wish
# to allow use of your version of this file only under the terms of the
# GPL and not to allow others to use your version of this file under the
# License, indicate your decision by deleting the provisions above and
# replace them with the notice and other provisions required by the GPL.
# If you do not delete the provisions above, a recipient may use your
# version of this file under either the License or the GPL.
# 
#
# $Header: /cvsroot/aolserver/aolserver/nssock/Makefile,v 1.18 2005/08/17 21:20:21 jgdavidson Exp $
#

MOD      =  nssock
OBJS	 =  nssock.o
MODINIT	 =  NsSock_ModInit
include  ../include/ns.mak

=== nsssl/Makefile ===
#
# The contents of this file are subject to the AOLserver Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://aolserver.com/.
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is AOLserver Code and related documentation
# distributed by AOL.
# 
# The Initial Developer of the Original Code is America Online,
# Inc. Portions created by AOL are Copyright (C) 1999 America Online,
# Inc. All Rights Reserved.
#
# Alternatively, the contents of this file may be used under the terms
# of the GNU General Public License (the "GPL"), in which case the
# provisions of GPL are applicable instead of those above.  If you wish
# to allow use of your version of this file only under the terms of the
# GPL and not to allow others to use your version of this file under the
# License, indicate your decision by deleting the provisions above and
# replace them with the notice and other provisions required by the GPL.
# If you do not delete the provisions above, a recipient may use your
# version of this file under either the License or the GPL.
# 
#
# $Header: /cvsroot/aolserver/aolserver/nsssl/Makefile,v 1.5 2002/10/03 22:41:45 jgdavidson Exp $
#



ifndef BSAFE

all:
	@echo "** "
	@echo "** BSAFE variable not set."
	@echo "** nsssl will not be built."
	@echo "** "

install: all

clean:

else

#
# Module name
#
ifeq ($(SSL_DOMESTIC),1)
  MOD    =  nsssl.so
  CFLAGS =  $(BSAFE_VERSION) -I$(BSAFE)/include
else
  MOD    =  nsssle.so
  CFLAGS =  -DSSL_EXPORT=1 $(BSAFE_VERSION) -I$(BSAFE)/include
endif
MODLIBS  =  -L$(BSAFE)/lib -lbsafe
MODDIR   =  nsssl
HDRS     =  ssl.h ssltcl.h x509.h
LDRPATH  += $(LDRFLAG)$(BSAFE)/lib


#
# Rainbow SSL accelerator card support.
#
#   Note: Requires position-independent version of libbswift.a.
#         Requires libswift.so to be somewhere in your system's library path.
#         Contact Rainbow at http://www.rainbow.com/ for the software.
#
ifdef SWIFT
  CFLAGS  +=-DHAVE_SWIFT=1 -I$(SWIFT)/include
  MODLIBS +=-L$(SWIFT)/lib -lbswift -lswift
endif


#
# Objects to build
#
OBJS      =  nsssl.o ssl.o ssltcl.o t_stdlib.o x509.o
MODINST	  =  cppem

include  ../include/Makefile.build

cppem:
	$(MKDIR) $(INSTMOD)/nsssl
	$(INSTALL_DATA) keygen.tcl $(INSTMOD)/nsssl
	$(MKDIR) $(INSTSRVMOD)/nsssl
	$(INSTALL_DATA) certfile-sample.pem $(INSTSRVMOD)/nsssl
	$(INSTALL_DATA) keyfile-sample.pem $(INSTSRVMOD)/nsssl

endif

=== nstclsh/Makefile ===
#
# The contents of this file are subject to the AOLserver Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://aolserver.com/.
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is AOLserver Code and related documentation
# distributed by AOL.
# 
# The Initial Developer of the Original Code is America Online,
# Inc. Portions created by AOL are Copyright (C) 1999 America Online,
# Inc. All Rights Reserved.
#
# Alternatively, the contents of this file may be used under the terms
# of the GNU General Public License (the "GPL"), in which case the
# provisions of GPL are applicable instead of those above.  If you wish
# to allow use of your version of this file only under the terms of the
# GPL and not to allow others to use your version of this file under the
# License, indicate your decision by deleting the provisions above and
# replace them with the notice and other provisions required by the GPL.
# If you do not delete the provisions above, a recipient may use your
# version of this file under either the License or the GPL.
# 
#
# $Header: /cvsroot/aolserver/aolserver/nstclsh/Makefile,v 1.2 2005/08/17 21:20:22 jgdavidson Exp $
#

PGM      =  nstclsh
PGMOBJS  =  nstclsh.o
include  ../include/ns.mak

=== debian/changelog ===
aolserver4 (4.5.1-18.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Applied the patch from Santiago Vila which adds required targets build-arch
    and build-indep to debian/rules. (closes: #821962)

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 11 Aug 2016 14:51:58 +0300

aolserver4 (4.5.1-18) unstable; urgency=medium

  * Changed tcl8.6.patch to add USE_INTERP_RESULT, which is better for legacy
    code. That should fix also non core modules at build time.
    (closes: #746166)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 29 Apr 2014 12:17:35 +0200

aolserver4 (4.5.1-17) unstable; urgency=medium

  * Fixed nsproxy for Tcl 8.5+ with a new patch nsproxy.patch.
    (closes: #631194)
  * Fixed for installation of nsproxy.
    (closes: #631190)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 28 Apr 2014 09:32:51 +0200

aolserver4 (4.5.1-16) unstable; urgency=medium

  * Moved to source 3.0 with quilt.
  * Removed unused build-deps.
  * Debhelper level set to 9.
  * Policy bumped to 3.9.5.
  * Added tcl8.6 patch by Sergei Golovan to fix FTBS due to new Tcl default
    version. (closes: #724879)
  * Integrated previous NMU for translated templates:
    - Dutch; (Jeroen Schot).  (closes: #658840)
    - Polish (Michał Kułach).  (closes: #670626)
    - Italian (Beatrice Torracca).  (closes: #671397)
  * Removing explicitly /etc/default/aolserver4 file in postrm.
    (closes: #668728)
  * Moved debian/copyright to DEP5 format and revised.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 19 Mar 2014 17:44:48 +0100

aolserver4 (4.5.1-15) unstable; urgency=low

  * Merges from experimental branch.
  * Added lintian overrides file for using rpath, which is legitimate for 
    internal libraries of aolserver4-core/daemon in order to avoid pollution
    of /usr/lib path.
  * Policy bumped to 3.9.1 without changes.
  * Revised debian/changelog layout for 80 cols.
  * Fixed aolserver4-daemon.postinst to avoid having +x in /etc/default/aolserver4
    (closes: #600925)
  * Fixed postinst to avoid changing recursively run and log dirs at
    configuration time. It could expose to (sym)link attacks when upgrading.
    (closes: #606554)
  * Fixed maint rules to autogenerate template *.in files at every build.
  * ABI increased to 1 for safety to avoid mixing modules built with different
    Tcl versions.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 21 Mar 2011 12:41:19 +0100

aolserver4 (4.5.1-12) unstable; urgency=low

  * Removed aolserver4-daemon depending for aolserver4-core.
    (closes: #560790)
  * Added a debconf-updatepo to myclean target to updated templates 
    automagically. Fixed outdated debian/po/POTFILES.in to point the right
    template file, too.
    (closes: #563507)
  * Updated japanes debconf template.
    (closes: #564304)
  * Added build-dep on po-debconf.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 19 Jan 2010 14:57:07 +0100

aolserver4 (4.5.1-11) unstable; urgency=low

  * Fixed init script to find the right shell snippet for non main instances.
    Thanks Hector.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 18 Dec 2009 13:43:27 +0100

aolserver4 (4.5.1-10) unstable; urgency=low

  * Fixed debian/rules and other scripts to use the -core package. 

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 12 Dec 2009 11:09:21 +0100

aolserver4 (4.5.1-9) unstable; urgency=low

  * Removing default script at purge time by ucf. 
  * Converted to the use of a single virtual package to avoid package 
    prolification.  The previous -core transitional package is now again a 
    proper one. 
    (closes: #520914)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 14 Nov 2009 07:43:37 +0100

aolserver4 (4.5.1-8) unstable; urgency=low

  * Now using bash in example sheebang line.
    (closes: #530043)
  * Tcl configuration script now reads parameters from shell snippet to
    avoid inconsistencies in changing both default snippet and the Tcl 
    configuration script. Thanks Hector Romojaro for pointed that.
  * Fixed LSB init section and added $postgresql as possible interested 
    optional service. Thanks Hector.
  * Fixed init script syntax. Thanks Hector.
  * Updated vietnamese debconf template.
    (closes: #548007)
  * Postinst changed to manage debconf reconfiguration and work with
    the new styling in setting options.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 29 Oct 2009 11:10:34 +0100

aolserver4 (4.5.1-7) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #521146
    - [Debconf translation updates]
    - Galician. Closes: #524249
    - Russian. Closes: #523800
    - Portuguese. Closes: #523624
    - Spanish. Closes: #523386
    - Basque. Closes: #523015
    - Finnish. Closes: #523002
    - Swedish. Closes: #522974, #518789
    - Danish. Closes: #522894
    - German. Closes: #522832
    - French. Closes: #522648
    - Italian. Closes: #521877
    - Czech. Closes: #521664
    - Japanese. Closes: #519891

  [ Francesco Paolo Lovergine ]
  * Changed section to match ftpmasters override.
  * Policy bumped to 3.8.3, without changes.
  * Added a README.source file to explain use of dpatch to build the package.
  * Now more than one instance of AOLserver can be run by simple custom 
    scripts under /etc/aolserver4/conf.d. This is useful for OpenACS and other
    custom application. This is now explained in the README.Debian file.
  * Removed empty /var/run/aolserver4, now created in init script and postinst.
  * Updated NEWS file.
  * Updated README.Debian file.
  * Now init script uses a /etc/default/aolserver4 shell snippet, initially
    commented.
  * Added /etc/aolserver4/conf.d among directories. 

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 14 Oct 2009 16:19:01 +0200

aolserver4 (4.5.1-6) unstable; urgency=high



=== debian/control ===
Source: aolserver4
Section: web
Priority: optional
Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: sharutils, debhelper (>= 9), tcl-dev (>= 8.4), groff, zlib1g-dev, po-debconf
Standards-Version: 3.9.5
Homepage: http://www.aolserver.com/
Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/aolserver/aolserver4/trunk
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/aolserver/aolserver4/trunk

Package: aolserver4-daemon
Architecture: any
Depends: aolserver4-core (= ${binary:Version}), debconf (>= 1.2.9) | debconf-2.0, mime-support, ucf (>= 0.30),
 logrotate (>= 3.6.5-1), adduser, ${shlibs:Depends}, ${misc:Depends}
Provides: httpd, httpd-cgi, aolserver4
Recommends: aolserver4-doc
Conflicts: aolserver4 
Replaces: aolserver4-nscache, aolserver4
Description: AOL web server version 4 - program files
 AOLserver is the web engine that powers America Online. It
 is capable of serving a very high number of users, and can host
 hundreds of virtual servers simultaneously within the same process.
 .
 It is similar in many respects to Zope, except based largely on Tcl.
 It is multi-threaded, and has a C API that can be used to extend
 its functionality.
 .
 This package provides the server itself.

Package: aolserver4-core
Architecture: any
Depends: debconf (>= 1.2.9) | debconf-2.0, ${shlibs:Depends}, ${misc:Depends}
Provides: httpd, httpd-cgi, aolserver4-core-4.5.1, aolserver4-core-4.5.1-1
Recommends: aolserver4-doc, aolserver4-daemon
Replaces: aolserver4-core-4.5.1 
Conflicts: aolserver4-core-4.5.1
Description: AOL web server version 4 - core libraries
 AOLserver is the web engine that powers America Online. It
 is capable of serving a very high number of users, and can host
 hundreds of virtual servers simultaneously within the same process.
 .
 It is similar in many respects to Zope, except based largely on Tcl.
 It is multi-threaded, and has a C API that can be used to extend
 its functionality.
 .
 This package provides the basic shared libraries which are needed by
 the daemon and are also useful for building add-on modules. It does
 not contain the AOLserver daemon, which is in aolserver4.

Package: aolserver4-dev
Section: web
Architecture: any
Depends: aolserver4-core (= ${binary:Version}), tcl-dev (>= 8.4), zlib1g-dev | libz-dev, ${misc:Depends}
Suggests: aolserver4-doc, aolserver4-daemon
Description: AOL web server version 4 - development files
 AOLserver is the web engine that powers America Online. It
 is capable of serving a very high number of users, and can host
 hundreds of virtual servers simultaneously within the same process.
 .
 It is similar in many respects to Zope, except based largely on Tcl.
 It is multi-threaded, and has a C API that can be used to extend
 its functionality.
 .
 This package contains header files and libraries needed to develop
 applications based on AOLserver.
 
Package: aolserver4-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: www-browser
Suggests: aolserver4-daemon, tcl-doc
Description: AOL web server version 4 - documentation
 AOLserver is the web engine that powers America Online. It
 is capable of serving a very high number of users, and can host
 hundreds of virtual servers simultaneously within the same process.
 .
 It is similar in many respects to Zope, except based largely on Tcl.
 It is multi-threaded, and has a C API that can be used to extend
 its functionality.
 .
 This package contains three reference manuals for AOLserver version 3+:
  - The AOLserver Administrator's Guide covers the setup options
    and security issues relating to running the server;
  - The AOLserver Tcl Developer's Guide covers the Tcl API which
    can be used to add features to your web pages (similar in
    some respects to PHP or Microsoft's ASP);
  - The AOLserver C Developer's Guide covers the C API which can
    be used to create new modules to extend AOLserver.
 .
 This is the latest available version of the documentation, but it is
 quite outdated and incomplete. More up-to-date API documentation is
 available at http://panoptic.com/wiki/aolserver/Tcl_API.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=aolserver4
VERSION=$(shell grep NS_PATCH_LEVEL $(CURDIR)/include/ns.h | cut -d\" -f2)
ABI=1
ASPREFIX=/usr/lib/$(PACKAGE)
DOCDIR=$(PACKAGE)-doc
DEVDIR=$(PACKAGE)-dev
COREDIR=$(PACKAGE)-core
ASSRC=$(CURDIR)
ASDOC=$(CURDIR)/docs
ASTARGET=$(CURDIR)/debian/$(PACKAGE)-daemon
ASDOCTARGET=$(CURDIR)/debian/$(DOCDIR)
ASDEVTARGET=$(CURDIR)/debian/$(DEVDIR)
ASCORETARGET=$(CURDIR)/debian/$(COREDIR)

TARGETDIR=$(CURDIR)/debian/tmp

MAINTFILES=debian/control debian/debian.substvars

maint: $(MAINTFILES)

debian/control: $(CURDIR)/debian/control.in 
	sed -e "s/@VERSION@/$(VERSION)/g" -e "s/@ABI@/$(ABI)/g" $< >$@

debian/debian.substvars: $(CURDIR)/debian/debian.substvars.in 
	sed -e "s/@VERSION@/$(VERSION)/g" -e "s/@ABI@/$(ABI)/g" $< >$@

configure: maint configure-stamp
configure-stamp: 
	dh_testdir
	
	# TCLSH is currently undefined in tclConfig.sh, but required.
	# Note that Aolserver requires 8.4+ with threads enabled to work.
	( cd $(ASSRC); TCLSH=/usr/bin/tclsh ./configure --prefix=$(ASPREFIX) --with-tcl=/usr/lib --mandir=/usr/share/man )
	
	touch $@

build-arch: build
build-indep: build
build: configure build-stamp
build-stamp:
	dh_testdir
	
	#
	# syntax checking
	# 
	bash -n $(CURDIR)/debian/aolserver4-daemon.postinst
	bash -n $(CURDIR)/debian/aolserver4-daemon.postrm
	bash -n $(CURDIR)/debian/aolserver4-daemon.preinst
	bash -n $(CURDIR)/debian/aolserver4-daemon.prerm
	
	( cd $(ASSRC); $(MAKE) )
	
	touch $@

clean: 
	dh_testdir
	dh_testroot
	
	debconf-updatepo || true
	[ ! -f $(ASSRC)/include/ns.mak ] || $(MAKE) -C $(ASSRC)  distclean 
	rm -f $(ASSRC)/ns_*.3
	rm -rf $(TARGETDIR)
	rm -f config.log 
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	
	# Install all stuff in a temp dir... 
	( cd $(ASSRC); $(MAKE) AOLSERVER=$(TARGETDIR) install )
	
	# Minor changes
	mv $(TARGETDIR)/bin/nsd $(TARGETDIR)/bin/$(PACKAGE)-nsd
	chmod a-x $(TARGETDIR)/lib/*.so* $(TARGETDIR)/bin/*.so*
	mv $(TARGETDIR)/servers/server1 $(TARGETDIR)/servers/main
	-rmdir $(TARGETDIR)/servers/main/pages
	#
	# This installs all man pages. 
	# There are wrong sections here, which need to be fixed one day.
	# Moreover, man pages are essentially empty and use many symlinks. 
	# Currently a patch to upstream nsinstall-man.sh needs to be
	# applied in order the following code works.
	#
	( cd doc; $(MAKE) AOLSERVER=$(TARGETDIR) UTILS=$(CURDIR)/util install )
	mkdir -p $(TARGETDIR)/man/man8 $(TARGETDIR)/doc/examples 
	zcat $(TARGETDIR)/man/man1/nsd.1aolserver.gz|sed 's/\(\.TH\) \(\w\+\) 1 \(.*\)/\1 \2 8 \3/'|gzip -9 \
		>$(TARGETDIR)/man/man8/$(PACKAGE)-nsd.8.gz
	# 
	# Example applications
	#
	cp $(CURDIR)/docs/admin/sample-config.tcl.txt $(TARGETDIR)/doc/examples/.
	cp $(CURDIR)/docs/admin/sample-db-config.tcl.txt $(TARGETDIR)/doc/examples/.
	cp -r $(ASSRC)/tests/* $(TARGETDIR)/doc/examples/.
	cp $(CURDIR)/debian/app3.tcl $(TARGETDIR)/modules/tcl/.
	-find $(TARGETDIR)/doc/examples -name CVS -exec rm -rf {} \;
	-chmod a-x $(TARGETDIR)/doc/examples/tests.html
	# 
	# Install default home page
	#
	cp $(CURDIR)/debian/index.adp $(TARGETDIR)/doc/examples/.
	cp $(CURDIR)/debian/debian.substvars $(TARGETDIR)/.
	
	touch $@

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot -i
	
	( cd $(ASDOC); cp -r . $(ASDOCTARGET)/usr/share/doc/$(DOCDIR)/html/. )
	cp -r $(TARGETDIR)/html/* $(ASDOCTARGET)/usr/share/doc/$(DOCDIR)/reference/.
	-rm -f $(ASDOCTARGET)/usr/share/doc/$(DOCDIR)/html/ChangeLog 
	-rm -f $(ASDOCTARGET)/usr/share/doc/$(DOCDIR)/html/README.txt
	-find $(ASDOCTARGET)/usr/share/doc/$(DOCDIR)/html -name CVS -exec rm -rf {} \;
	
	dh_installdocs -i
	dh_installchangelogs -i ChangeLog
	dh_installexamples -i $(CURDIR)/debian/examples/aolconf-1.01 $(CURDIR)/examples/*
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i 
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot -a
	dh_installdocs -a
	dh_installexamples -a $(TARGETDIR)/doc/examples/*
	dh_install -a 
	dh_installdebconf -a
	dh_installchangelogs -a ChangeLog
	dh_installlogrotate -a
	dh_link -a 
	dh_lintian -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_shlibdeps -a -l$(ASCORETARGET)$(ASPREFIX)/lib
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a 
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure debian/debian.substvars maint debian/control

=== debian/watch ===
version=3
http://sf.net/aolserver/aolserver-(4)\.(.+)\.(.+)-src\.tar\.gz
